This page will look better in a graphical browser that supports web standards, but is accessible to any browser or internet device.

Served by Gloin.

Cardiac Physiome Society workshop: November 6-9, 2017 , Toronto

Running JSim inside a Web Browser

This page is for the current JSim version 2.0. Click here for the earlier JSim 1.6 version.

Introduction

JSim can run inside WWW pages as a Java applet. To do this, your browser must have an appropriate Java plugin installed. This page provides configuration information for many common platforms. For more information about JSim, see the JSim Home Page .

Google Chrome: version 45 or higher drops NPAPI plugin (Java applets) support. See: Java applet (plugin-in) support information from Oracle.

Mozilla Firefox: version 52 is the last 32 bit version to support Java applets. For 64 bit machines, version 52 or higher no longer support NPAPI plugins (such as Java applets). See: Java applet (plugin-in) support information from Oracle.

Specific plugin configuration information:

Users with additional or updated information to share regarding Java plug-ins and JSim compatibility with different browsers should contact us.

Windows Plugin Configuration

Configuration for Windows XP and Windows 7:

Mac OS X Configuration

Java 1.5 is pre-installed on Mac OS 10.4 "Tiger", OS 10.5 "Leopard" and OS 10.6 "Snow Leopard". JSim will not currently run on Mac OS 10.3 or lower due to the lack of Java 1.5 support

Mac OS 10.7 "Lion" does not have the Java plugin installed. Java must be installed and the plugin enabled in your browser.
To install browser support for java applets:

Java 6 plugins

As of July 23, 2007 the JSim applet requires the user's browser have a Sun Java 6 compatible plug-in installed. Previously, Java 1.4 and 1.5 plug-ins were supported. Those still using 1.4 or 1.5 plug-ins should update their Java plugins. Older versions of Sun's Java plug-in or off-market Java plug-ins may not run JSim correctly.

NSR Systems

The Java 1.6 SDK has already been downloaded on NSR systems in /usr/local/jdk1.6. To install the Java 1.6 plugin under Firefox Linux on NSR systems, you need only issue the following commands:

Comments or Questions?

[This page was last modified 24Apr17, 12:59 pm.]

Model development and archiving support at physiome.org provided by the following grants: NIH/NIBIB BE08407 Software Integration, JSim and SBW 6/1/09-5/31/13; NIH/NHLBI T15 HL88516-01 Modeling for Heart, Lung and Blood: From Cell to Organ, 4/1/07-3/31/11; NSF BES-0506477 Adaptive Multi-Scale Model Simulation, 8/15/05-7/31/08; NIH/NHLBI R01 HL073598 Core 3: 3D Imaging and Computer Modeling of the Respiratory Tract, 9/1/04-8/31/09; as well as prior support from NIH/NCRR P41 RR01243 Simulation Resource in Circulatory Mass Transport and Exchange, 12/1/1980-11/30/01 and NIH/NIBIB R01 EB001973 JSim: A Simulation Analysis Platform, 3/1/02-2/28/07.